Package: org.apache.groovy.internal.util

## [Java] Class UncheckedThrow

- org.apache.groovy.internal.util.UncheckedThrow

-     @Incubating
      public class UncheckedThrow
      extends Object

  Allows to throw a checked exception unchecked. INTERNAL USE ONLY.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `rethrow(Throwable checkedException)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static void rethrow(Throwable checkedException)